Name:           rpld
Version:        1.8
Release:        0.14.beta1%{?dist}
Summary:        RPL/RIPL remote boot daemon
Group:          System Environment/Daemons
# No version specified.
License:        GPL+
URL:            http://gimel.esc.cam.ac.uk/james/rpld/index.html
Source0:        http://gimel.esc.cam.ac.uk/james/rpld/src/rpld-1.8-beta-1.tar.gz
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.service
Patch0:         rpld_1.8beta1-6.diff.gz
Patch1:         rpld-1.8-makefile.patch

BuildRequires:  byacc flex
%if 0%{?fedora} >= 16
BuildRequires: systemd-units
Requires(post): systemd-units systemd-sysv
Requires(preun): systemd-units
Requires(postun): systemd-units
%else
Requires(post): initscripts chkconfig
Requires(preun): initscripts chkconfig
Requires(postun): initscripts
%endif

%description
Daemon to net-boot IBM style RPL boot ROMs (this is not the
same as the Novell IPX-style RPL protocol, despite the
name).

%if 0%{?fedora} >= 16
%package sysvinit
Summary: SysV init script for %{name}.

%description sysvinit
SysV init script for %{name}.

%triggerpostun -n %{name}-sysvinit -- %{name} < 1.8-0.12.beta1
/sbin/chkconfig --add httpd >/dev/null 2>&1 || :

%post
if [ $1 -eq 1 ] ; then 
    # Initial installation 
    /bin/systemctl daemon-reload >/dev/null 2>&1 || :
    echo foo1
fi

%preun
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /bin/systemctl --no-reload disable %{name}.service > /dev/null 2>&1 || :
    /bin/systemctl stop %{name}.service > /dev/null 2>&1 || :
fi

%postun
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
    # Package upgrade, not uninstall
    /bin/systemctl try-restart %{name}.service >/dev/null 2>&1 || :
fi

%triggerun -- %{name} < 1.8-0.12.beta1
/usr/bin/systemd-sysv-convert --save %{name} >/dev/null 2>&1 ||:
/sbin/chkconfig --del %{name} >/dev/null 2>&1 || :
/bin/systemctl try-restart %{name}.service >/dev/null 2>&1 || :

%else
%post
/sbin/chkconfig --add %{name}

%preun
if [ $1 = 0 ]; then
        /sbin/service %{name} stop >/dev/null 2>&1
	/sbin/chkconfig --del %{name}
fi

%postun
if [ "$1" -ge "1" ]; then
        /sbin/service %{name} condrestart >/dev/null 2>&1 || :
fi
%endif

%prep
%setup -q
%patch0 -p1

for I in debian/patches/* ;
do
  patch -p1 -i ${I}
done

%patch1 -p1

%build
make OPT="-fPIE -pie $RPM_OPT_FLAGS" %{?_smp_mflags}
make OPT="-fPIE -pie $RPM_OPT_FLAGS" %{?_smp_mflags}
mv LICENCE LICENSE

%install
# mkdir -p $RPM_BUILD_ROOT/usr/{sbin,share/man/man{8,5}}
mkdir -p $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man{8,5}}
make install DESTDIR=$RPM_BUILD_ROOT BINMODE=755 MANMODE=644

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

install -d $RPM_BUILD_ROOT%{_initrddir}
install -m 0755 %SOURCE1 $RPM_BUILD_ROOT%{_initrddir}/%{name}
install -d $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
install -m 0644 %SOURCE2 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/%{name}
%if 0%{?fedora} >= 16
install -d $RPM_BUILD_ROOT%{_unitdir}
install -m 0644 %SOURCE3 $RPM_BUILD_ROOT%{_unitdir}/%{name}.service
%endif

%files
%defattr(-,root,root,-)
%doc README LICENSE INSTALL rpld.conf.sample
%{_sbindir}/*
%{_mandir}/man[^3]/*
%{_sysconfdir}/sysconfig/%{name}
%if 0%{?fedora} >= 16
%{_unitdir}/%{name}.service
%files sysvinit
%endif
%{_initrddir}/%{name}

%changelog
* Mon May 21 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 1.8-0.14.beta1
- Fix unitdir for FTBFS

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-0.13.beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 28 2011 Paul P. Komkoff Jr <i@stingr.net> - 1.8-0.12.beta1
- fixing the systemd/initscript

* Mon Oct 31 2011 Paul P. Komkoff Jr <i@stingr.net> - 1.8-0.11.beta1
- fixes for specfile and init script

* Tue Jul 5 2011 Paul P. Komkoff Jr <i@stingr.net> - 1.8-0.10.beta1
- add pre/postinstall stuff

* Thu Jun 2 2011 Paul P. Komkoff Jr <i@stingr.net> - 1.8-0.9.beta1
- add systemd service file

* Thu Jun 2 2011 Paul P. Komkoff Jr <i@stingr.net> - 1.8-0.8.beta1
- add initscript

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-0.7.beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-0.6.beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-0.5.beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Sep  3 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.8-0.4.beta1
- fix license tag

* Sun Feb 24 2008 Paul P Komkoff Jr <i@stingr.net> - 1.8-0.3.beta1
- make rpld a PIE

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.8-0.2.beta1
- Autorebuild for GCC 4.3

* Sat Oct 14 2006 Paul P Komkoff Jr <i@stingr.net> - 1.8-0.1.beta1
- Preparing for submission to fedora extras
